UpdateSenderRules
PUT
/api/v1/t/{tenant}/ingestion/sender-rules
const url = 'https://example.com/api/v1/t/example/ingestion/sender-rules';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"mode":"AllSenders","allowedAddresses":["example"],"allowedDomains":["example"],"version":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/t/example/ingestion/sender-rules \ --header 'Content-Type: application/json' \ --data '{ "mode": "AllSenders", "allowedAddresses": [ "example" ], "allowedDomains": [ "example" ], "version": 1 }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”tenant
required
string
Tenant slug
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
mode
required
allowedAddresses
required
Array<string> | null
allowedDomains
required
Array<string> | null
version
required
integer format: uint32
Responses
Section titled “ Responses ”OK
Media typeapplication/json
object
mode
required
allowedAddresses
required
Array<string>
allowedDomains
required
Array<string>
changedAt
required
string format: date-time
version
required
integer format: uint32
Example
{ "mode": "AllSenders"}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Conflict
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}